Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj
Class Skeleton

    java.lang.Object
      edu.wpi.first.wpilibj.Skeleton

    public class Skeleton

extends Object

A Skeleton object to be used with Kinect data from the FRC Kinect server on the DriverStation

Author:
  koconnor

Nested Class Summary
`class` | `Skeleton.Joint` An individual Joint from Kinect data
`static class` | `Skeleton.tJointTrackingState` The Joint TrackingState
`static class` | `Skeleton.tJointTypes` Helper class used to index the joints in a (@link Skeleton)
`static class` | `Skeleton.tTrackState` The TrackState of the skeleton

Field Summary
`protected Skeleton.Joint[]` | `skeleton`
`protected Skeleton.tTrackState` | `trackState`

Method Summary
`Skeleton.Joint` | `GetAnkleLeft()`
`Skeleton.Joint` | `GetAnkleRight()`
`Skeleton.Joint` | `GetElbowLeft()`
`Skeleton.Joint` | `GetElbowRight()`
`Skeleton.Joint` | `GetFootLeft()`
`Skeleton.Joint` | `GetFootRight()`
`Skeleton.Joint` | `GetHandLeft()`
`Skeleton.Joint` | `GetHandRight()`
`Skeleton.Joint` | `GetHead()`
`Skeleton.Joint` | `GetHipCenter()`
`Skeleton.Joint` | `GetHipLeft()`
`Skeleton.Joint` | `GetHipRight()`
`Skeleton.Joint` | `GetJoint(Skeleton.tJointTypes index)`
`Skeleton.Joint` | `GetKneeLeft()`
`Skeleton.Joint` | `GetKneeRight()`
`Skeleton.Joint` | `GetShoulderCenter()`
`Skeleton.Joint` | `GetShoulderLeft()`
`Skeleton.Joint` | `GetShoulderRight()`
`Skeleton.Joint` | `GetSpine()`
`Skeleton.tTrackState` | `GetTrackState()`
`Skeleton.Joint` | `GetWristLeft()`
`Skeleton.Joint` | `GetWristRight()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### skeleton

    protected Skeleton.Joint[] skeleton

### trackState

    protected Skeleton.tTrackState trackState

Method Detail

### GetHandRight

    public Skeleton.Joint GetHandRight()

### GetHandLeft

    public Skeleton.Joint GetHandLeft()

### GetWristRight

    public Skeleton.Joint GetWristRight()

### GetWristLeft

    public Skeleton.Joint GetWristLeft()

### GetElbowLeft

    public Skeleton.Joint GetElbowLeft()

### GetElbowRight

    public Skeleton.Joint GetElbowRight()

### GetShoulderLeft

    public Skeleton.Joint GetShoulderLeft()

### GetShoulderRight

    public Skeleton.Joint GetShoulderRight()

### GetShoulderCenter

    public Skeleton.Joint GetShoulderCenter()

### GetHead

    public Skeleton.Joint GetHead()

### GetSpine

    public Skeleton.Joint GetSpine()

### GetHipCenter

    public Skeleton.Joint GetHipCenter()

### GetHipRight

    public Skeleton.Joint GetHipRight()

### GetHipLeft

    public Skeleton.Joint GetHipLeft()

### GetKneeLeft

    public Skeleton.Joint GetKneeLeft()

### GetKneeRight

    public Skeleton.Joint GetKneeRight()

### GetAnkleLeft

    public Skeleton.Joint GetAnkleLeft()

### GetAnkleRight

    public Skeleton.Joint GetAnkleRight()

### GetFootLeft

    public Skeleton.Joint GetFootLeft()

### GetFootRight

    public Skeleton.Joint GetFootRight()

### GetJoint

    public Skeleton.Joint GetJoint(Skeleton.tJointTypes index)

### GetTrackState

    public Skeleton.tTrackState GetTrackState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"